import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class Issr {

    private String ip;
    private String tel;
    private static Pattern p = Pattern.compile("(d+\\.d+\\.d+\\.d+):(d+)");
    
    Issr() {
    }
    
    Issr(String ip, String tel) {
        this.ip = ip;
        this.tel = tel;
    }
    
    public String Unparse() {
        return this.ip +":"+ this.tel;
    }
    
    public Issr Parse(String v) {
        Matcher m = p.matcher(v);
        if (m.find()){
//            System.out.println(m.group() + "の部分にマッチしました");
//            System.out.println("group1:" + m.group(1));
//            System.out.println("group2:" + m.group(2));
            this.ip = m.group(1);
            this.tel = m.group(2);
        }
        return this;
    }

    public void setIP(String v) {
        this.ip = v;
    }
    
    public Issr putIP(String v) {
        this.ip = v;
        return this;
    }

    public String getIP() {
        return this.ip;
    }
    
    public void setTel(String v) {
        this.tel = v;
    }

    public Issr putTel(String v) {
        this.tel = v;
        return this;
    }

    public String getTel() {
        return this.tel;
    }

}
