import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class BizSvc {

    protected String mode;
    protected String fileName;
    protected String charCode;
    protected String connect;
    protected String resend;
    protected Pattern p;
    
    BizSvc() {
        this.p = Pattern.compile("([^:]*):([^:]*):([^:]*):([^:]*):([^:]*)");
    }
    
    BizSvc(String mode, String fileName, String charCode, String connect, String resend) {
        this.p = Pattern.compile("([^:]*):([^:]*):([^:]*):([^:]*):([^:]*)");
        this.mode = mode;
        this.fileName = fileName;
        this.charCode = charCode;
        this.connect = connect;
        this.resend = resend;
    }
    
    public String Unparse() {
        return this.mode +":"+ this.fileName +":"+ this.charCode +":"+ this.connect +":"+ this.resend;
    }
    
    public BizSvc Parse(String v) {
        Matcher m = p.matcher(v);
        if (m.find()){
//            System.out.println(m.group() + "の部分にマッチしました");
//            System.out.println("group1:" + m.group(1));
//            System.out.println("group2:" + m.group(2));
//            System.out.println("group3:" + m.group(3));
//            System.out.println("group4:" + m.group(4));
//            System.out.println("group5:" + m.group(5));
            this.mode = m.group(1);
            this.fileName = m.group(2);
            this.charCode = m.group(3);
            this.connect = m.group(4);
            this.resend = m.group(5);
        }
        return this;
    }

    public void setMode(String v) {
        this.mode = v;
    }
    
    public BizSvc putMode(String v) {
        this.mode = v;
        return this;
    }

    public String getMode() {
        return this.mode;
    }
    
    public void setFileName(String v) {
        this.fileName = v;
    }

    public BizSvc putFileName(String v) {
        this.fileName = v;
        return this;
    }

    public String getFileName() {
        return this.fileName;
    }

    public void setCharCode(String v) {
        this.charCode = v;
    }

    public BizSvc putCharCode(String v) {
        this.charCode = v;
        return this;
    }

    public String getCharCode() {
        return this.charCode;
    }

    public void setConnect(String v) {
        this.connect = v;
    }

    public BizSvc putConnect(String v) {
        this.connect = v;
        return this;
    }

    public String getConnect() {
        return this.connect;
    }

    public void setResend(String v) {
        this.resend = v;
    }

    public BizSvc putResend(String v) {
        this.resend = v;
        return this;
    }

    public String getResend() {
        return this.resend;
    }
}
