import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class CCPSW {

    protected String cc;
    protected String psw;
    protected Pattern p;
    
    CCPSW() {
        this.p = Pattern.compile("([^:]*):([^:]*)");
    }
    
    CCPSW(String cc, String psw) {
        this.p = Pattern.compile("([^:]*):([^:]*)");
        this.cc = cc;
        this.psw = psw;
    }
    
    
    public String Unparse() {
        return this.cc + ":" + this.psw;
    }
    
    public CCPSW Parse(String v) {
        Matcher m = p.matcher(v);
        if (m.find()){
//            System.out.println(m.group() + "の部分にマッチしました");
//            System.out.println("group1:" + m.group(1));
//            System.out.println("group1:" + m.group(2));
            this.cc = m.group(1);
            this.psw = m.group(2);
        }
        return this;
    }
    
    public void setCC(String v) {
        this.cc = v;
    }

    public CCPSW putCC(String v) {
        this.cc = v;
        return this;
    }
    
    public String getCC() {
        return this.cc;
    }
    
    public void setPSW(String v) {
        this.psw = v;
    }

    public CCPSW putPSW(String v) {
        this.psw = v;
        return this;
    }
    
    public String getPSW() {
        return this.psw;
    }
}
