import java.util.regex.Pattern;
import java.util.regex.Matcher;

public class InstrForDbtrAgt {

    protected String id;
    protected String dummy1;
    protected String dummy2;
    protected Pattern p;
    
    InstrForDbtrAgt() {
        this.p = Pattern.compile("([^:]*):([^:]*)(:[^:]*)?");
    }

    InstrForDbtrAgt(String id, String dummy1, String dummy2) {
        this.p = Pattern.compile("([^:]*):([^:]*)(:[^:]*)?");
        this.id = id;
        this.dummy1 = dummy1;
        this.dummy2 = dummy2;
    }
    
    public String Unparse() {
        return this.id + ":" + this.dummy1 + ":" + this.dummy2;
    }
    
    public InstrForDbtrAgt Parse(String v) {
        
        Matcher m = p.matcher(v);
        
        if (m.find()){
//            String matchstr = m.group();
//            System.out.println(matchstr + " matched");
//            System.out.println("group1:" + m.group(1));
//            System.out.println("group2:" + m.group(2));
            this.id = m.group(1);
            this.dummy1 = m.group(2);
            if(m.groupCount() > 2) {
//                System.out.println("group3:" + m.group(3));
                this.dummy1 = m.group(3);
            }
        }
        return this;
    }
    
    public InstrForDbtrAgt setId(String v) {
        this.id = v;
        
        return this;
    }
    
    public String getId() {
        return this.id;
    }
    

    public void setDummy1(String v) {
        this.dummy1 = v;
    }

    public InstrForDbtrAgt putDummy1(String v) {
        this.dummy1 = v;
        return this;
    }

    public String getDummy1() {
        return this.dummy1;
    }

    public void setDummy2(String v) {
        this.dummy2 = v;
    }

    public InstrForDbtrAgt putDummy2(String v) {
        this.dummy2 = v;
        return this;
    }
    
    public String getDummy2() {
        return this.dummy2;
    }
}
